// Prefer.h : header file
//
// This class defines custom modal property sheet 
// CPreferences.
 
#ifndef __PREFER_H__
#define __PREFER_H__

#include "Pages.h"

/////////////////////////////////////////////////////////////////////////////
// CPreferences

class CPreferences : public CPropertySheet
{
	DECLARE_DYNAMIC(CPreferences)

// Construction
public:
	CPreferences(CWnd* pParentWnd = NULL);

// Attributes
public:
	CColorPage		m_ColorPage;
	CComparePage	m_ComparePage;
	CFontPage	m_FontPage;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPreferences)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPreferences();

// Generated message map functions
protected:
	//{{AFX_MSG(CPreferences)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif	// __PREFER_H__